# Int8 Extension Reference

# Int8

    struct Int8 : FixedWidthInteger, SignedInteger

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSNumber

- `cs_rawAttributeType`

  #### Declaration

  Swift

      public static let cs_rawAttributeType: NSAttributeType

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @inline(__always)
      public static func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> Int8?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType